Just upgraded my GMS server to 2014r2, and got looking through the
software repositories.

I have quite a few from previous installs & upgrades of GMS.

Are these needed, can they be deleted?

I did get prompted for my gms 2.0.1 cd as well as the sles11sp2 cd
during the upgrade process, was that due to the older repositories
still being there?